−

Revoke External Share Link

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API deletes a file or folder's external share link.

Endpoints

delete https://www.zohoapis.com/workdrive/api/v1/links/{link_id}

Copy full URL

OAuth Scope

WorkDrive.links.DELETECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request DELETE \
  --url https://www.zohoapis.com/workdrive/api/v1/links/{link_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'
header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/links/{link_id}"
type : DELETE
headers : header
connection : "wdconnection"
];
info response;

Path Parameters

link_idstring(Required)

The unique ID of the shared link

Response Example

F000

204
204
500
Copied!
204 External share link revoked successfully
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
▼ Show full

© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.